Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.jaxrpc
Interface JaxRpcServicePostProcessor

Deprecated. in favor of JAX-WS support in `org.springframework.remoting.jaxws`

    @Deprecated
    public interface JaxRpcServicePostProcessor

Callback interface for post-processing a JAX-RPC Service.

Implementations can be registered with `LocalJaxRpcServiceFactory` or one of its subclasses: `LocalJaxRpcServiceFactoryBean`, `JaxRpcPortClientInterceptor`, or `JaxRpcPortProxyFactoryBean`.

Useful, for example, to register custom type mappings. See the `org.springframework.remoting.jaxrpc.support.AxisBeanMappingServicePostProcessor` class that registers Axis-specific bean mappings for specified bean classes. This is defined for the domain objects in the JPetStore same application, for example.

Since:
  1.1.4
Author:
  Juergen Hoeller
See Also:
  `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `LocalJaxRpcServiceFactory.setServicePostProcessors(org.springframework.remoting.jaxrpc.JaxRpcServicePostProcessor[])`, `Service.getTypeMappingRegistry()`

Method Summary
`void` | `postProcessJaxRpcService(javax.xml.rpc.Service service)` Deprecated. Post-process the given JAX-RPC `Service`.

Method Detail

### postProcessJaxRpcService

    void postProcessJaxRpcService(javax.xml.rpc.Service service)

  Deprecated.
  Post-process the given JAX-RPC `Service`.

  Parameters:
    `service` - the current JAX-RPC `Service` (can be cast to an implementation-specific class if necessary)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD